# fruit-bowl automation

## agent bootstrap
```console
apt update && apt install curl -y && curl -sSl https://s3.amy.mov/cluster/agent-bootstrap.sh | sh
```

(on the server)
```console
puppetserver ca sign --certname <host>.cluster
```

## system bootstrap
### deps
- Deno (for running scripts)
- g10k (for pulling Forge modules)

### process
- generate some kind of sample secrets file that will then be migrated into Infisical when it is up
- create databases/users in accordance with config.pp so services can come up 
- set values in environments/production/config.pp
- add certs into reverse proxy (files/cert/{.key,.pem})